=== debian/changelog ===
libvbz-hdf-plugin (1.0.1-2ubuntu1) jammy; urgency=medium

  * debian/patches/update-catch2.patch: import catch2 version 2.13.8 to
    fix build failure with glibc 2.34.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Apr 2022 05:51:59 +0000

libvbz-hdf-plugin (1.0.1-2) unstable; urgency=medium

  * Use DEB_HOST_GNU type for every arch since
    $(DEB_HOST_MULTIARCH) does not match the default
    build directory used by debhelper
  * d/salsa-ci.yml: disable reprotest for now

 -- Nilesh Patra <nilesh@debian.org>  Fri, 20 Aug 2021 00:23:50 +0530

libvbz-hdf-plugin (1.0.1-1) unstable; urgency=medium

  * Initial release (Closes: #988993)

 -- Andreas Tille <tille@debian.org>  Sun, 23 May 2021 10:28:06 +0200
