=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=Release \
				-DENABLE_CONAN=OFF \
				-DENABLE_PERF_TESTING=OFF \
				-DENABLE_PYTHON=OFF

override_dh_install__not_possible_since_no_static_lib:
	dh_install
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --override s/libzstd1-dev/libzstd-dev/ \
		    debian/tmp/usr/lib/*/*.so
