=== vbz/CMakeLists.txt ===
--- 
+++ 
@@ -31,7 +31,9 @@
     streamvbyte
 )
 
-if (WIN32 OR APPLE OR "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "x86_64")
+if (WIN32 OR 
+    (APPLE AND NOT "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "arm64") OR
+    "${CMAKE_SYSTEM_PROCESSOR}" MATCHES "x86_64")
     if(NOT MSVC)
         target_compile_options(vbz PRIVATE -mssse3)
     endif()
