=== python/pyvbz/requirements.txt ===
numpy
cffi
