=== debian/changelog ===
libvbz-hdf-plugin (1.0.2-3.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:51:00 +0000

libvbz-hdf-plugin (1.0.2-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062695

 -- Graham Inggs <ginggs@debian.org>  Wed, 28 Feb 2024 21:02:18 +0000

libvbz-hdf-plugin (1.0.2-3) unstable; urgency=medium

  * gcc-13.patch: new: fix build failures with gcc 13. (Closes: #1037746)
  * d/rules: build with -Wno-error=dangling-reference.
    This works around a, possibly, false positive warning while building
    the file vbz/vbz.cpp with gcc 13 onwards.

 -- Étienne Mollier <emollier@debian.org>  Sun, 23 Jul 2023 10:52:45 +0200

libvbz-hdf-plugin (1.0.2-2) unstable; urgency=medium

  * Remove symbols file according to
    https://wiki.debian.org/UsingSymbolsFiles#C.2B-.2B-_libraries
  * Add lintian-overrides to express that symbols file was removed
    intentionally
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 07 Feb 2023 09:05:03 +0100

libvbz-hdf-plugin (1.0.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Drop unnecessary dependency on build-essential.
  * Apply multi-arch hints.
    + libvbz-hdf-plugin-dev: Add Multi-Arch: same.
  * Refresh use-packaged-streamvbyte.patch.
  * Refresh fix-install-location.patch.
  * Delete update-catch2.patch: applied upstream.
  * d/rules: enable hardening.
  * Add symbols tracking for libvbz-hdf-plugin0.

 -- Étienne Mollier <emollier@debian.org>  Sun, 03 Jul 2022 14:23:31 +0200

libvbz-hdf-plugin (1.0.1-3) unstable; urgency=medium

  [ Steve Langasek ]
  * Import catch2 version 2.13.8 to fix build failure with glibc 2.34
    Closes: #1009620

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Thu, 14 Apr 2022 23:58:47 +0530
