=== debian/control ===
--- 
+++ 
@@ -1,27 +1,31 @@
 Source: libvbz-hdf-plugin
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-#               d-shlibs, # not possible since no static lib
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
                libzstd-dev,
                libhdf5-dev,
                libstreamvbyte-dev,
                dh-exec
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/libvbz-hdf-plugin
 Vcs-Git: https://salsa.debian.org/med-team/libvbz-hdf-plugin.git
 Homepage: https://github.com/nanoporetech/vbz_compression/
 Rules-Requires-Root: no
 
-Package: libvbz-hdf-plugin0
+Package: libvbz-hdf-plugin0t64
+Provides: ${t64:Provides}
+Replaces: libvbz-hdf-plugin0
+Breaks: libvbz-hdf-plugin0 (<< ${source:Version})
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: VBZ compression plugin for nanopore signal data
  VBZ Compression uses variable byte integer encoding to compress nanopore
  signal data.
@@ -38,9 +42,10 @@
 Package: libvbz-hdf-plugin-dev
 Architecture: any
 Section: libdevel
-Depends: libvbz-hdf-plugin0 (= ${binary:Version}),
+Depends: libvbz-hdf-plugin0t64 (= ${binary:Version}),
          ${shlibs:Depends},
          ${misc:Depends}
+Multi-Arch: same
 Description: VBZ compression plugin for nanopore signal data (devel)
  VBZ Compression uses variable byte integer encoding to compress nanopore
  signal data.
