=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Work around against the following warning that cropped up with gcc 13.1.0:
+#       vbz/vbz.cpp:314:17: error: possibly dangling reference to a temporary
+export DEB_CXXFLAGS_MAINT_APPEND = -Wno-error=dangling-reference
 
 include /usr/share/dpkg/default.mk
