=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/nanoporetech/vbz_compression//releases .*/.*/v?@ANY_VERSION@\.tar\.gz
